﻿----------------------------------------------
--											--
-- Achchazus Raidplaner V1.34				--
-- 											--
-- from Renegade@Lucifron					--	
--											--
-- Special thanks to :						--
-- Messerbiene@Lucifron						--
-- Mayron @ https://discord.gg/fGNQStG		--
-- especially Shinon! 						--
--											--
----------------------------------------------

local addonName, addon = ...

local eventArgs = {...}

function out(text)
 DEFAULT_CHAT_FRAME:AddMessage(text)
 UIErrorsFrame:AddMessage(text, 1.0, 1.0, 0, 1, 10) 
end

AchchazusRaidplanerDB = {}
AchchazusRaidplanerDBlocal = {}
AchchazusRaidplanerDBbackup = {}
Datacheck = {}

StaticPopupDialogs["CONFORM_FIRSTLOAD"] = {
  text = ARP_WARNING_FIRSTLOAD,
  button1 = ARP_YES,
  button2 = ARP_NO,
  OnAccept = function()
      ARP_StartFirstload()
  end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
  preferredIndex = 3, 
}

local RegisteredRaids = {
{
}
}

local EventCounter = 0 
local firsttime = true
local outdatet = false
local playerClass, englishClass = UnitClass("player");
local playerName = UnitName("player");

local RegistrationButtonText = ARP_REGISTRATION
local UnregistrationButtonText = ARP_UNREGISTRATION

local Compresser = LibStub:GetLibrary("LibCompress");
local Serializer = LibStub:GetLibrary("AceSerializer-3.0");
local LibDeflate = LibStub:GetLibrary("LibDeflate");
local configForDeflate = {level = 9};

--------------------------------------------------------------------------------
--					        		Event Handler	     	  				  --
--------------------------------------------------------------------------------

local RelevantEvents = {
    "PLAYER_ENTERING_WORLD",
    "PLAYER_LOGOUT",
    "GUILD_ROSTER_UPDATE",
	"ADDON_LOADED",
}

local EventListener = ARP_EventListener or CreateFrame("FRAME", "ARP_EventListener");

function EventListener:RegisterEvents(events)
	for _, event in ipairs(events) do
		self:RegisterEvent(event)
	end
end

local function EventHandler(self, event)

if (event == "ADDON_LOADED" and eventArgs[1] == "AchchazusRaidplaner") then
		
		print(ARP_WELCOME)
			
		if AchchazusRaidplanerDBlocal.Firstload == nil then

			ARP_FirstLoad()
			
		else
	
			ARP_NoFirstLoad()
		
		end
		
			ARP_SetMinimapButton(self)
		
		EventListener:UnregisterEvent("ADDON_LOADED");

		end
		
if (event == "PLAYER_ENTERING_WORLD" and eventArgs[1] == "AchchazusRaidplaner") then
	
	local ac = LibStub("AceComm-3.0", true)
	if ac then ac:Embed(addon) end
	
	addon:RegisterComm("ARP2", "ARPComm") 
	
	addon:RegisterComm("ARP3", "ARPComm") 
	
	addon:RegisterComm("ARPVer", "ARPComm") 
	
	addon:RegisterComm("ARPData", "ARPComm") 
	
	addon:RegisterComm("ARPSendRequest", "ARPComm") 
	
	addon:SendCommMessage("ARPVer", "VERSIONSCHECK", "GUILD", player, "BULK")

	EventListener:UnregisterEvent("PLAYER_ENTERING_WORLD")
	
	ARP_TriggerEvent()
	
end

if (event == "GUILD_ROSTER_UPDATE" and eventArgs[1] == "AchchazusRaidplaner") then
	
	if EventCounter >= 10 and AchchazusRaidplanerDBlocal.Firstload == false and AchchazusRaidplanerDBlocal.CreateMenu == false then
	print(ARP_ERROR)
	EventListener:UnregisterEvent("GUILD_ROSTER_UPDATE")
	return end
	
	
	if EventCounter >= 15 and AchchazusRaidplanerDBlocal.Firstload == true and AchchazusRaidplanerDBlocal.CreateMenu == false then
	
	guildName, guildRankName, guildRankIndex = GetGuildInfo("player");

	if tonumber(guildRankIndex) > 1 and not playerName == "Renegade" then
	print(ARP_FIRSTLOAD)
	EventListener:UnregisterEvent("GUILD_ROSTER_UPDATE")
	return end
	
	if tonumber(guildRankIndex) <= 1 or playerName == "Renegade" then
	EventListener:UnregisterEvent("GUILD_ROSTER_UPDATE")
	StaticPopup_Show ("CONFORM_FIRSTLOAD")
	end
	
	end
	
	if AchchazusRaidplanerDBlocal.GetData == false and EventCounter >= 2 and AchchazusRaidplanerDBlocal.CreateMenu == false then	
	addon:SendCommMessage("ARP3", "UPDATE", "GUILD", player, "BULK")
	end
	
	EventCounter = EventCounter + 1

end

if (event == "PLAYER_LOGOUT" and eventArgs[1] == "AchchazusRaidplaner") then

if AchchazusRaidplanerDBlocal.UpdateDate == true then

	count = 0
	
	for key in pairs(AchchazusRaidplanerDBbackup) do
	count = count + 1
	end
	
	for n = count, 1, -1 do
	table.remove(AchchazusRaidplanerDBbackup)
	end

	count = 0
	
	for key in pairs(AchchazusRaidplanerDB) do
	count = count + 1
	end
	
	for n = 1, count, 1 do
	table.insert(AchchazusRaidplanerDBbackup, n, AchchazusRaidplanerDB[n]) 
	end
	
	table.insert(AchchazusRaidplanerDBbackup, date("%d/%m/%y %H:%M:%S"))
	
	EventListener:UnregisterEvent("PLAYER_LOGOUT")

end

end

end

--------------------------------------------------------------------------------
--					        		Function Sector	     	  				  --
--------------------------------------------------------------------------------

function ARP_StartFirstload()

	print(ARP_FIRSTLOADSTART)
	AchchazusRaidplanerDBlocal.GetData = true
	ARP_getFraction()
	
end

function ARP_FirstLoad()     							    -- Set Status of Locals
	
	AchchazusRaidplanerDBlocal.englishClass = englishClass
	AchchazusRaidplanerDBlocal.playerName = playerName
	AchchazusRaidplanerDBlocal.Anmeldung = ""
	AchchazusRaidplanerDBlocal.RegistrationClass = ""
	AchchazusRaidplanerDBlocal.Registered = false
	AchchazusRaidplanerDBlocal.Firstload = true
	AchchazusRaidplanerDBlocal.Start = true
	AchchazusRaidplanerDBlocal.count = 0
	AchchazusRaidplanerDBlocal.Page = 1
	AchchazusRaidplanerDBlocal.StartPage = 1
	AchchazusRaidplanerDBlocal.GetData = false
	AchchazusRaidplanerDBlocal.CreateMenu = false
	RegisteredRaids[1][AchchazusRaidplanerDBlocal.Page] = false
	AchchazusRaidplanerDB[1] = {}
	AchchazusRaidplanerDB[1][1] = "Raidname"
	AchchazusRaidplanerDB[1][2] = "23.12.19 19:00"
	AchchazusRaidplanerDBlocal.ApprovedColorR = 0
	AchchazusRaidplanerDBlocal.ApprovedColorG = 1
	AchchazusRaidplanerDBlocal.ApprovedColorB = 0
	AchchazusRaidplanerDBlocal.ApprovedColorA = 1
	AchchazusRaidplanerDBlocal.ShamanColor = false
	AchchazusRaidplanerDBlocal.ShamanColorR = 0.96
	AchchazusRaidplanerDBlocal.ShamanColorG = 0.55
	AchchazusRaidplanerDBlocal.ShamanColorB = 0.73
	AchchazusRaidplanerDBlocal.UpdateDate = false
	AchchazusRaidplanerDBlocal.Test = false
	AchchazusRaidplanerDBlocal.datasender = "Empty"
	AchchazusRaidplanerDBlocal.FocusClass = "ALL"
	
	mm = date("%m")
	year = date("%Y")
	
	AchchazusRaidplanerDBlocal.ShowMonth = mm
	AchchazusRaidplanerDBlocal.Year = year
	AchchazusRaidplanerDBlocal.InCalender = true

end

function ARP_NoFirstLoad()									-- Set Status of Locals after Reload

	AchchazusRaidplanerDBlocal.englishClass = englishClass
	AchchazusRaidplanerDBlocal.playerName = playerName
	AchchazusRaidplanerDBlocal.Start = true
	AchchazusRaidplanerDBlocal.fromSend = false
	AchchazusRaidplanerDBlocal.Page = 1
	AchchazusRaidplanerDBlocal.GetData = false
	AchchazusRaidplanerDBlocal.CreateMenu = false
	AchchazusRaidplanerDBlocal.UpdateDate = false
	AchchazusRaidplanerDBlocal.Test = false
	AchchazusRaidplanerDBlocal.FocusClass = "ALL"
	
	mm = date("%m")
	year = date("%Y")
	
	AchchazusRaidplanerDBlocal.ShowMonth = mm
	AchchazusRaidplanerDBlocal.Year = year
	AchchazusRaidplanerDBlocal.InCalender = true

end
	
function ARP_SetMinimapButton(self) 					    -- Set MinumapButton

		local ldb = LibStub:GetLibrary("LibDataBroker-1.1", true)
		if not ldb then return end

		local plugin = ldb:NewDataObject(addonName, {
		type = "data source",
		text = "0",
		icon = "Interface\\AddOns\\AchchazusRaidplaner\\Media\\icon",
		})
		
		function plugin.OnClick(self, button)
			if AchchazusRaidplanerDBlocal.CreateMenu == true then
				if not UIConfig:IsShown() then
					UpdateUI()
					UIConfig:Show()
					PlaySound(839)
				else 
					UpdateUI()
					UIConfig:Hide()
					PlaySound(840)
				end
			end
		end
		
		local icon = LibStub("LibDBIcon-1.0", true)
		if not icon then 
			return end
		if not AchchazusRaidplanerDBminimap then 
			AchchazusRaidplanerDBminimap = {} 
		end
		
		icon:Register(addonName, plugin, AchchazusRaidplanerDBminimap)
		
		
		do
		local hint = ARP_HINT
		
		function plugin.OnTooltipShow(Tooltip)
		Tooltip:AddLine("ARP "..ARP_VERSION)
		Tooltip:AddLine(" ")
		Tooltip:AddLine(hint, 0, 191, 255, 1)
		end
		end

end

function ARP_TriggerEvent() 								-- TriggerEvent // I think not needed
SortGuildRoster("Name")
end

function ARP_getFraction()									-- Horde or Alliance

englishFaction, localizedFaction = UnitFactionGroup("player")

if englishFaction == "Horde" then

AchchazusRaidplanerDBclass = {
	cH = {
		r = 0.67,
		g = 0.83,
		b = 0.45,
		name = "Hunter",
		realname = ARP_HUNTER
	},
	cP = {
		r = 1,
		g = 1, 
		b = 1, 
		name = "Priest",
		realname = ARP_PRIEST 
	},
	cS = {
		r = AchchazusRaidplanerDBlocal.ShamanColorR,
		g = AchchazusRaidplanerDBlocal.ShamanColorG,
		b = AchchazusRaidplanerDBlocal.ShamanColorB,
		name = "Shaman",
		realname = ARP_SHAMAN
	},	
	cD = {
		r = 1,
		g = 0.49,
		b = 0.04,
		name = "Druid",
		realname = ARP_DRUID 
	},	
	cR = {
		r = 1,
		g = 0.96,
		b = 0.41,
		name = "Rogue",
		realname = ARP_ROGUE
	},	
	cK = {
		r = 0.78,
		g = 0.61,
		b = 0.43,
		name = "Warrior",
		realname = ARP_WARRIOR
	},		
	cM = {
		r = 0.25,
		g = 0.78,
		b = 0.92,
		name = "Mage",
		realname = ARP_MAGE
	},		
	cW = {
		r = 0.53,
		g = 0.53,
		b = 0.93,
		name = "Warlock",
		realname = ARP_WARLOCK
	},
	cA = {
		r = 0.6,
		g = 0,
		b = 0.1,
		name = "Away",
		realname = ARP_AWAY
	},
}

ARP_CreateMenu()
end

if englishFaction == "Alliance" then

AchchazusRaidplanerDBclass = {
	cH = {
		r = 0.67,
		g = 0.83,
		b = 0.45,
		name = "Hunter",
		realname = ARP_HUNTER
	},
	cP = {
		r = 1,
		g = 1, 
		b = 1, 
		name = "Priest",
		realname = ARP_PRIEST 
	},
	cB = {
		r = 0.96,
		g = 0.55,
		b = 0.73,
		name = "Paladin",
		realname = ARP_PALADIN
	},	
	cD = {
		r = 1,
		g = 0.49,
		b = 0.04,
		name = "Druid",
		realname = ARP_DRUID 
	},	
	cR = {
		r = 1,
		g = 0.96,
		b = 0.41,
		name = "Rogue",
		realname = ARP_ROGUE
	},	
	cK = {
		r = 0.78,
		g = 0.61,
		b = 0.43,
		name = "Warrior",
		realname = ARP_WARRIOR
	},		
	cM = {
		r = 0.25,
		g = 0.78,
		b = 0.92,
		name = "Mage",
		realname = ARP_MAGE
	},		
	cW = {
		r = 0.53,
		g = 0.53,
		b = 0.93,
		name = "Warlock",
		realname = ARP_WARLOCK
	},
	cA = {
		r = 1,
		g = 1,
		b = 1,
		name = "Away",
		realname = ARP_AWAY
	},		
}

ARP_CreateMenu()
end

end

function addon:ARPComm(prefix, message, channel, sender)    -- Addon communication 
local LibDeflate = LibStub:GetLibrary ("LibDeflate")
local LibAceSerializer = LibStub:GetLibrary ("AceSerializer-3.0")
	
	if prefix == "ARPVer"  and channel == "GUILD" and  firsttime == true and message ~= "VERSIONSCHECK" then
	
		if string.match(sender, playerName) then
			return
		end

		if tonumber(message) > tonumber(ARP_VERSION_CHECK) then
		print(ARP_OUTDATED)
		firsttime = false
		outdatet = true
		end
	end
	
	if prefix == "ARPVer"  and channel == "GUILD" and message == "VERSIONSCHECK" then
		
		if string.match(sender, playerName) then
			return
		end
		
		addon:SendCommMessage("ARPVer", ARP_VERSION_CHECK, "GUILD", player, "BULK")
	
	end

	if prefix == "ARPSendRequest" and channel == "GUILD" and string.match(playerName, message) then
	
	AchchazusRaidplanerDBlocal.GetData = false
	AchchazusRaidplanerDBlocal.UpdateDate = true

	local RaidEntrysBackup = 0

	for key in pairs(AchchazusRaidplanerDBbackup) do
		RaidEntrysBackup = RaidEntrysBackup + 1
	end

	local RaidEntrysBackup = 0

	for key in pairs(AchchazusRaidplanerDBbackup) do
		RaidEntrysBackup = RaidEntrysBackup + 1
	end

	local RaidEntrys = 0

	for key in pairs(AchchazusRaidplanerDB) do
		RaidEntrys = RaidEntrys + 1
	end

	if RaidEntrys < RaidEntrysBackup then
	table.remove(AchchazusRaidplanerDBbackup, RaidEntrysBackup)
	end

	local LibDeflate = LibStub:GetLibrary ("LibDeflate")
	local LibAceSerializer = LibStub:GetLibrary ("AceSerializer-3.0")
	
	if (LibDeflate and LibAceSerializer) then
		local dataSerialized = LibAceSerializer:Serialize (AchchazusRaidplanerDBbackup)
		if (dataSerialized) then
			local dataCompressed = LibDeflate:CompressDeflate (dataSerialized, {level = 9})
			if (dataCompressed) then
					local dataEncoded = LibDeflate:EncodeForPrint (dataCompressed)
					local dataEncodedChat = LibDeflate:EncodeForWoWAddonChannel (dataCompressed)		
					
					 SendChatMessage("Spieler: "..playerName.." hat gerade die Syncronisation gestartet" ,"GUILD")
					 ARP_Globals.SendUpdate(dataEncodedChat)
			end
		end
	end
	
	
	end
	
	if prefix == "ARPData" and channel == "GUILD" and message == "DATAUPGRADE" then
		
		if string.match(sender, playerName) then
			return
		end
		
		local RaidEntrysBackup = 0

		for key in pairs(AchchazusRaidplanerDBbackup) do
		RaidEntrysBackup = RaidEntrysBackup + 1
		end
		
		if AchchazusRaidplanerDBbackup[RaidEntrysBackup] ~= nil then
		addon:SendCommMessage("ARPData", AchchazusRaidplanerDBbackup[RaidEntrysBackup], "GUILD", player, "BULK")
		end
		
	end
	
	if prefix == "ARPData" and channel == "GUILD" and message ~= "DATAUPGRADE" then
	
		if string.match(sender, playerName) then
			return
		end
		
		guildName, guildRankName, guildRankIndex = GetGuildInfo("player");

		if tonumber(guildRankIndex) <= 1 or playerName == "Renegade" then
		
			if AchchazusRaidplanerDBlocal.CheckData == true then
				AchchazusRaidplanerDBlocal.CheckData = false
				Datacheck = {}
			end
		
			if Datacheck == nil then
				Datacheck = {}
			end
		
			table.insert(Datacheck, 1, message.." = "..sender)
		
			table.sort(Datacheck)
		
			count = 0
			for key, value in pairs(Datacheck) do
				count = count + 1
			end
		
			AchchazusRaidplanerDBlocal.transfer = Datacheck[count]
		
			ARP_Globals.UpgradeText()
		
		end
	end
	
	if prefix == "ARP2" and channel == "GUILD" and message ~= "UPDATE" then
		
		if string.match(sender, playerName) then
			return
		end
		
		
		local dataDecodeChat = LibDeflate:DecodeForWoWAddonChannel (message)
		if (not dataDecodeChat) then
			print(ARP_ERROR_DECODE)
			return 
		end
		
		local dataDecompressedChat = LibDeflate:DecompressDeflate (dataDecodeChat)
		if (not dataDecompressedChat) then
			print(ARP_ERROR_UNCOMPRESS)
			return 
		end
		
		local okay, datachat = LibAceSerializer:Deserialize (dataDecompressedChat)
		if (not okay) then
			print(ARP_ERROR_UNSERIALIZE)
			return 
		end	

		AchchazusRaidplanerDB = datachat
		
		if AchchazusRaidplanerDBlocal.GetData == true and AchchazusRaidplanerDBlocal.Firstload == false and AchchazusRaidplanerDBlocal.CreateMenu == true then
		AchchazusRaidplanerDBlocal.UpdateDate = true
		UpdateUI()
		return
		end
		
	end
		
	if prefix == "ARP3" and channel == "GUILD" and message ~= "UPDATE" and AchchazusRaidplanerDBlocal.CreateMenu == false and AchchazusRaidplanerDBlocal.GetData == false then
		if string.match(sender, playerName) then
			return
		end
		
		local dataDecodeChat = LibDeflate:DecodeForWoWAddonChannel (message)
		if (not dataDecodeChat) then
			print(ARP_ERROR_DECODE)
			return 
		end
		
		local dataDecompressedChat = LibDeflate:DecompressDeflate (dataDecodeChat)
		if (not dataDecompressedChat) then
			print(ARP_ERROR_UNCOMPRESS)
			return 
		end
		
		local okay, datachat = LibAceSerializer:Deserialize (dataDecompressedChat)
		if (not okay) then
			print(ARP_ERROR_UNSERIALIZE)
			return 
		end	

		AchchazusRaidplanerDB = datachat
		
		if AchchazusRaidplanerDBlocal.GetData == false then
		   AchchazusRaidplanerDBlocal.Firstload = false
		   AchchazusRaidplanerDBlocal.GetData = true
		   SortGuildRoster("Name")
		end
		
		if AchchazusRaidplanerDBlocal.GetData == true and AchchazusRaidplanerDBlocal.Firstload == false and AchchazusRaidplanerDBlocal.CreateMenu == false and AchchazusRaidplanerDBlocal.Test == false then
		   AchchazusRaidplanerDBlocal.Test = true
		   EventListener:UnregisterEvent("GUILD_ROSTER_UPDATE")
		   print(ARP_SUCESS)
		   addon:SendCommMessage("ARPVer", ARP_VERSION_CHECK, "GUILD", player, "BULK")
		   AchchazusRaidplanerDBlocal.Firstload = false
		   ARP_getFraction()
		return end
		
	end
		
	if prefix == "ARP3" and channel == "GUILD" and message == "UPDATE" and AchchazusRaidplanerDBlocal.GetData == true then
	
		if string.match(sender, playerName) then
			return
		end
	
		local LibDeflate = LibStub:GetLibrary ("LibDeflate")
		local LibAceSerializer = LibStub:GetLibrary ("AceSerializer-3.0")
	
		if (LibDeflate and LibAceSerializer) then
			local dataSerialized = LibAceSerializer:Serialize (AchchazusRaidplanerDB)
			if (dataSerialized) then
				local dataCompressed = LibDeflate:CompressDeflate (dataSerialized, {level = 9})
				if (dataCompressed) then
					local dataEncoded = LibDeflate:EncodeForPrint (dataCompressed)
					local dataEncodedChat = LibDeflate:EncodeForWoWAddonChannel (dataCompressed)		
					
					ARP_SendUpdate(dataEncodedChat)
					
				end
			end
		end	
	end

end

function ARP_SendMessage()									-- Prepair Send Message
local LibDeflate = LibStub:GetLibrary ("LibDeflate")
local LibAceSerializer = LibStub:GetLibrary ("AceSerializer-3.0")
	
	if (LibDeflate and LibAceSerializer) then
		local dataSerialized = LibAceSerializer:Serialize (AchchazusRaidplanerDB)
		if (dataSerialized) then
			local dataCompressed = LibDeflate:CompressDeflate (dataSerialized, {level = 9})
			if (dataCompressed) then
					local dataEncoded = LibDeflate:EncodeForPrint (dataCompressed)
					local dataEncodedChat = LibDeflate:EncodeForWoWAddonChannel (dataCompressed)		
					
					ARP_Send(dataEncodedChat)
			end
		end
	end
end
 
function ARP_Send(dataEncodedChat)							-- Send message
addon:SendCommMessage("ARP2", dataEncodedChat, "GUILD", player, "BULK")
end

function ARP_SendUpdate(dataEncodedChat)					-- send Update Message
addon:SendCommMessage("ARP3", dataEncodedChat, "GUILD", player, "BULK")
end

function ARP_toConfirmed(self)								-- Move Players to Confirmed

guildName, guildRankName, guildRankIndex = GetGuildInfo("player");

if tonumber(guildRankIndex) > 1 then
print(ARP_NO_RAIDLEADER)
return end


for key, value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if value ~= "" then
		if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][key], self:GetText()) then
			AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][key] = string.gsub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][key], "%.f", "%.t")
			self:SetText("Test")
			self:Hide()
			ARP_SendMessage()
			UpdateUI()
			return end
		end
	end
end

function ARP_toUnconfirmed(self)							-- Move Players to Approved

guildName, guildRankName, guildRankIndex = GetGuildInfo("player");

if tonumber(guildRankIndex) > 1 then
print(ARP_NO_RAIDLEADER)
return end

for key, value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if value ~= "" then
		if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][key], self:GetText()) then
			AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][key] = string.gsub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][key], "%.t", "%.f")
			self:SetText("Test")
			self:Hide()
			ARP_SendMessage()
			UpdateUI()
			return end
		end
	end
end

function ARP_GetDayofWeek(dd, mm, yy) 						-- Get Day of Date (Mon,.,.,Sun)

  local days = ARP_DAYS

  local mmx = mm
  
  if tonumber(mm) == 1 then  
	mmx = 13
	yy = yy-1  
  end
  
  if tonumber(mm) == 2 then
	mmx = 14
	yy = yy-1  
  end
 

  local val8 = dd + (mmx*2) +  math.floor(((mmx+1)*3)/5)   + yy + math.floor(yy/4)  - math.floor(yy/100)  + math.floor(yy/400) + 2
  local val9 = math.floor(val8/7)
  local dw = val8-(val9*7) 

  if (dw == 0) then
    dw = 7
  end

  return dw, days[dw]
end

function ARP_GetDaysInMonth(month, year)
  local days_in_month = { 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31 }   
  local d = days_in_month[month]
   
  if (tonumber(month) == 2) then
    if (year % 4) == 0 then
       d = 29
    end
  end

  return d  
end

function ARP_RaidEntrys()									-- count how many Raids 

local RaidEntrys = 0

for key in pairs(AchchazusRaidplanerDB) do
RaidEntrys = RaidEntrys + 1
end

return RaidEntrys
end


--------------------------------------------------------------------------------
--					        		Global Function Sector 	  				  --
--------------------------------------------------------------------------------


ARP_Globals={}
function ARP_Globals.SendUpdate(dataEncodedChat)
	addon:SendCommMessage("ARP3", dataEncodedChat, "GUILD", player, "BULK")
	return
end

function ARP_Globals.DataUpgrade()
	addon:SendCommMessage("ARPData", "DATAUPGRADE", "GUILD", player, "BULK")
	return
end

function ARP_Globals.DataSender(datasender)
	addon:SendCommMessage("ARPSendRequest", datasender, "GUILD", player, "BULK")
	return
end


--------------------------------------------------------------------------------
--					        		GUI Sector	     	  		     		  --
--------------------------------------------------------------------------------


function ARP_CreateMenu()

AchchazusRaidplanerDBlocal.CreateMenu = true

UIConfig = CreateFrame("Frame", "Achchazu Mainframe", UIParent, "BasicFrameTemplateWithInset");

SLASH_PANE1 = "/arp"
SLASH_PANE2 = "/achchazu"

SlashCmdList.PANE = function(arg)
    if not UIConfig:IsShown() then
		UpdateUI()
		UIConfig:Show()
		PlaySound(839)
	else 
		UpdateUI()
		UIConfig:Hide()
		PlaySound(840)
    end
end

UIConfig:Hide()
UIConfig:SetMovable(true)
UIConfig:SetUserPlaced(isUserPlaced);
UIConfig:EnableMouse(true)
UIConfig:RegisterForDrag("LeftButton")
UIConfig:SetScript("OnDragStart", UIConfig.StartMoving)
UIConfig:SetScript("OnDragStop", UIConfig.StopMovingOrSizing)
UIConfig:SetSize(850, 500);
UIConfig:SetPoint("CENTER", UIParent, "CENTER")


UIConfig.title = UIConfig:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
UIConfig.title:SetPoint("LEFT", UIConfig.TitleBg, "LEFT", 5, 0);
UIConfig.title:SetText("Achchazus Raidplaner "..ARP_VERSION);

UIConfig.title2 = UIConfig:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
UIConfig.title2:SetPoint("RIGHT", UIConfig.TitleBg, "RIGHT", -5, 0);
UIConfig.title2:SetText("from Renegade@Lucifron");

UIConfig.ScrollFrame = CreateFrame("ScrollFrame", nil, UIConfig, "UIPanelScrollFrameTemplate");
UIConfig.ScrollFrame:SetPoint("TOPLEFT", UIConfig, "TOPLEFT", 4, -8);
UIConfig.ScrollFrame:SetPoint("BOTTOMRIGHT", UIConfig, "BOTTOMRIGHT", -3, 4);
UIConfig.ScrollFrame:SetClipsChildren(true);
UIConfig.ScrollFrame:SetScript("OnMouseWheel", ScrollFrame_OnMouseWheel);

UIConfig.ScrollFrame.ScrollBar:ClearAllPoints();
UIConfig.ScrollFrame.ScrollBar:SetPoint("TOPLEFT", UIConfig.ScrollFrame, "TOPRIGHT", -12, -35);
UIConfig.ScrollFrame.ScrollBar:SetPoint("BOTTOMRIGHT", UIConfig.ScrollFrame, "BOTTOMRIGHT", -7, 18);

function Tab_OnClick(self)
	PanelTemplates_SetTab(self:GetParent(), self:GetID());
		
	local scrollChild = UIConfig.ScrollFrame:GetScrollChild();
	if (scrollChild) then
		scrollChild:Hide();
	end
	
	PlaySound(841)

	UIConfig.ScrollFrame:SetScrollChild(self.content);
	self.content:Show();	
end

function SetTabs(frame, numTabs, ...)
	frame.numTabs = numTabs;
	
	local contents = {};
	local frameName = frame:GetName();
	
	
	for i = 1, numTabs do	
		local tab = CreateFrame("Button", frameName.."Tab"..i, frame, "CharacterFrameTabButtonTemplate");
		
		tab:SetID(i);
		tab:SetText(select(i, ...));
		tab:SetScript("OnClick", Tab_OnClick);
		tab:SetFrameLevel(2)
		tab:Disable()
		
		
		tab.content = CreateFrame("Frame", nil, UIConfig.ScrollFrame);
		tab.content:SetSize(830, 480);
		tab.content:Hide();

		table.insert(contents, tab.content);

		if (i == 1) then
			tab:SetPoint("TOPLEFT", UIConfig, "BOTTOMLEFT", 5, 7);
		else
			tab:SetPoint("TOPLEFT", _G[frameName.."Tab"..(i - 1)], "TOPRIGHT", -14, 0);
		end	

	end

	Tab_OnClick(_G[frameName.."Tab1"]);
	
	return unpack(contents);

end

local content1, content2, content3 = SetTabs(UIConfig, 3, ARP_RAIDPLANER_TAB, ARP_RAIDLEADER_TAB, ARP_OPTION_TAB);

local content = {
    content1,
    content2,
    content3,
};

for n = 1, 3, 1 do
content[n]["RaidID"] = content[n]:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content[n]["RaidID"]:SetPoint("TOPLEFT", content[n], "TOPLEFT", 40, -40);
content[n]["RaidID"]:SetTextColor(1, 1, 0)
content[n]["RaidID"]:SetText(ARP_RAIDID..AchchazusRaidplanerDBlocal.Page)

content[n]["RaidDate"] = content[n]:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content[n]["RaidDate"]:SetPoint("LEFT", content[n]["RaidID"], 75, 0);
content[n]["RaidDate"]:SetTextColor(1, 1, 0)
content[n]["RaidDate"]:SetText(ARP_RAIDDATE.. AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2])

content[n]["RaidName"] = content[n]:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content[n]["RaidName"]:SetPoint("RIGHT", content[n]["RaidDate"], 125, 0);
content[n]["RaidName"]:SetTextColor(1, 1, 0)
content[n]["RaidName"]:SetText(ARP_RAIDNAME.. AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][1])
end

count = 0

for key, value in pairs(AchchazusRaidplanerDBclass) do 
	content1[key] = content1:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
	content1[key]:SetPoint("CENTER", content1.RaidID, "CENTER", count, -30);
	content1[key]:SetTextColor(AchchazusRaidplanerDBclass[key]["r"], AchchazusRaidplanerDBclass[key]["g"], AchchazusRaidplanerDBclass[key]["b"])
	content1[key]:SetText(AchchazusRaidplanerDBclass[key]["realname"])
	count = count + 85
end

for n = 1, 2, 1 do
content[n]["RaidIDCounterBack"] = CreateFrame("Button", nil, content[n], "UIPanelButtonTemplate");
content[n]["RaidIDCounterBack"]:SetPoint("BOTTOMLEFT", content[n], "BOTTOMLEFT", 20, 20);
content[n]["RaidIDCounterBack"]:SetText("<")
content[n]["RaidIDCounterBack"]:SetNormalFontObject("GameFontNormalLarge");
content[n]["RaidIDCounterBack"]:SetHighlightFontObject("GameFontHighlightLarge");
content[n]["RaidIDCounterBack"]:SetScript("OnClick", function()

PlaySound(829)

count = tonumber(ARP_RaidEntrys())

if AchchazusRaidplanerDBlocal.Page ~= 1 then
	for key, value in pairs(AchchazusRaidplanerDBclass) do 
		for i = 1, 17, 1 do
		content1[key..i]:SetText("")
		end
	end
end

if AchchazusRaidplanerDBlocal.Page ~= 1 then
	AchchazusRaidplanerDBlocal.Page = AchchazusRaidplanerDBlocal.Page - 1
	for n = 1, 79, 1 do
		if content2["Registered"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Registered"..n]:SetText("Test")
		end
		if content2["Confirmed"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Confirmed"..n]:SetText("Test")
		end
	end
end
UpdateUI()
end )

content[n]["Registered"] = content[n]:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content[n]["Registered"]:SetPoint("LEFT", content[n]["RaidIDCounterBack"], "LEFT", 125, 0);
content[n]["Registered"]:SetTextColor(1, 1, 1)
content[n]["Registered"]:SetText(ARP_REGISTERED_PLAYER..AchchazusRaidplanerDBlocal.count )

content[n]["Approved"] = content[n]:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content[n]["Approved"]:SetPoint("LEFT", content[n]["Registered"], "LEFT", 0, -12);
content[n]["Approved"]:SetTextColor(1, 1, 1)
content[n]["Approved"]:SetText(ARP_APPROVED_PLAYER)

content[n]["RaidIDCounterForward"] = CreateFrame("Button", nil, content[n], "UIPanelButtonTemplate");
content[n]["RaidIDCounterForward"]:SetPoint("BOTTOMRIGHT", content[n], "BOTTOMRIGHT", -20, 20);
content[n]["RaidIDCounterForward"]:SetText(">")
content[n]["RaidIDCounterForward"]:SetNormalFontObject("GameFontNormalLarge");
content[n]["RaidIDCounterForward"]:SetHighlightFontObject("GameFontHighlightLarge");
content[n]["RaidIDCounterForward"]:SetScript("OnClick", function()

PlaySound(829)

count = tonumber(ARP_RaidEntrys())

if AchchazusRaidplanerDBlocal.Page < count then
	for key, value in pairs(AchchazusRaidplanerDBclass) do 
		for i = 1, 17, 1 do
		content1[key..i]:SetText("")
		end
	end
end

if AchchazusRaidplanerDBlocal.Page < count then

	AchchazusRaidplanerDBlocal.Page = AchchazusRaidplanerDBlocal.Page + 1
	
	for n = 1, 79, 1 do
		if content2["Registered"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Registered"..n]:SetText("Test")
		end
		if content2["Confirmed"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Confirmed"..n]:SetText("Test")
		end
	end	
end
UpdateUI()
end )

count = tonumber(ARP_RaidEntrys())

content[n]["RaidIDCounter"] = content[n]:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content[n]["RaidIDCounter"]:SetPoint("LEFT", content[n]["RaidIDCounterForward"], "LEFT", -125, 0);
content[n]["RaidIDCounter"]:SetTextColor(1, 1, 1)
content[n]["RaidIDCounter"]:SetText(ARP_RAID.." 1 "..ARP_FROM.." "..count)

end

content2.Menu = content2:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content2.Menu:SetPoint("CENTER", content2, "CENTER", 0, 150);
content2.Menu:SetTextColor(1, 1, 0)
content2.Menu:SetText(ARP_APPROVED_MENU)

count = -50

for key, value in pairs(AchchazusRaidplanerDBclass) do 
	if key ~= "cA" then
	content2[key] = CreateFrame("FRAME",nil, content2, "OptionsBoxTemplate")
	content2[key]:SetSize(100, 30);
	content2[key]:SetPoint("CENTER", content2.Menu, "CENTER", 0, count)
	count = count - 25
	content2[key].text = content2[key]:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
	content2[key].text:SetPoint("CENTER", content2[key], "CENTER", 0, 0);
	content2[key].text:SetTextColor(AchchazusRaidplanerDBclass[key]["r"], AchchazusRaidplanerDBclass[key]["g"], AchchazusRaidplanerDBclass[key]["b"])
	content2[key].text:SetText(AchchazusRaidplanerDBclass[key]["realname"])
	
	content2["Registered"..key] = content2:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
	content2["Registered"..key]:SetPoint("CENTER", content2[key], "CENTER", -65, 0);
	content2["Registered"..key]:SetText("0")
	content2["Approved"..key] = content2:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
	content2["Approved"..key]:SetPoint("CENTER", content2[key], "CENTER", 65, 0);
	content2["Approved"..key]:SetText("0")

	content2[key]:EnableMouse(true)	
  
	content2[key]:SetScript("OnMouseDown", function(self,button,...)

	AchchazusRaidplanerDBlocal.FocusClass = key

	UpdateUI()

	end )

end

end


content2.total = CreateFrame("FRAME",nil, content2, "OptionsBoxTemplate")
content2.total:SetSize(100, 30);
content2.total:SetPoint("CENTER", content2["cH"], "CENTER", 0, -35)
content2.total.text = content2.total:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content2.total.text:SetPoint("CENTER", content2.total, "CENTER", 0, 0);
content2.total.text:SetTextColor(1, 1, 1)
content2.total.text:SetText(ARP_TOTAL)
content2.total:EnableMouse(true)
content2.total:SetScript("OnMouseDown", function(self,button,...)

	AchchazusRaidplanerDBlocal.FocusClass = "ALL"
	UpdateUI()

end )	

content2.totalRegistered = content2:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content2.totalRegistered:SetPoint("CENTER", content2.total, "CENTER", -65, 0);
content2.totalRegistered:SetText("0")

content2.totalApproved = content2:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content2.totalApproved:SetPoint("CENTER", content2.total, "CENTER", 65, 0);
content2.totalApproved:SetText("0")

content2.InviteButton = CreateFrame("Button", nil, content2, "GameMenuButtonTemplate");
content2.InviteButton:SetPoint("CENTER", content2, "BOTTOM", -0, 30);
content2.InviteButton:SetSize(100, 30);
content2.InviteButton:SetText(ARP_INVITE)
content2.InviteButton:SetNormalFontObject("GameFontNormalLarge");
content2.InviteButton:SetHighlightFontObject("GameFontHighlightLarge");
content2.InviteButton:SetScript("OnClick", function()

PlaySound(855)

guildName, guildRankName, guildRankIndex = GetGuildInfo("player");

if tonumber(guildRankIndex) > 1 then
print(ARP_NO_RAIDLEADER)
return end

for value, key in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if key ~= "" then
		if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.t") then
		length = string.len(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value])
			if UnitInRaid(string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], 1, math.floor(length-5))) == nil then
				if playerName ~= string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], 1, math.floor(length-5)) then
					InviteUnit(string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], 1, math.floor(length-5))) 
					ConvertToRaid()
					SetLootMethod("master", playerName)
				end
			end
		end
	end
end

end ) 

content2.Selectmenu = CreateFrame('Frame', "Registered", content2, "OptionsBoxTemplate")
content2.Selectmenu:SetPoint("CENTER", content2, "CENTER", -200, 0)
content2.Selectmenu:SetWidth( 150 )
content2.Selectmenu:SetHeight( 270 )

content2.ScrollFrame = CreateFrame("ScrollFrame", nil, content2.Selectmenu, "UIPanelScrollFrameTemplate");
content2.ScrollFrame:SetPoint("TOPLEFT", content2.Selectmenu, "TOPLEFT", 4, -8);
content2.ScrollFrame:SetPoint("BOTTOMRIGHT", content2.Selectmenu, "BOTTOMRIGHT", -3, 4);
content2.ScrollFrame:SetClipsChildren(true);

content2.ScrollFrame.ScrollBar:ClearAllPoints();
content2.ScrollFrame.ScrollBar:SetPoint("TOPLEFT", content2.ScrollFrame, "TOPRIGHT", -12, -35);
content2.ScrollFrame.ScrollBar:SetPoint("BOTTOMRIGHT", content2.ScrollFrame, "BOTTOMRIGHT", -7, 18);

local count = 0
childsize = 0

for  i = 1, 80, 1 do 
	count = count + 1
end

local child = CreateFrame("Frame", nil, content2.ScrollFrame);
child:SetSize(150, math.floor(110+count*15))

content2.ScrollFrame:SetScrollChild(child)

content2.RegisteredPlayer = content2:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content2.RegisteredPlayer:SetPoint("TOP", child, "TOP", 0, -3);
content2.RegisteredPlayer:SetTextColor(1, 0.96, 0.41)
content2.RegisteredPlayer:SetText(ARP_REGISTERED_PLAYER)

content2.confirmedmenu = CreateFrame('Frame', "Registered", content2, "OptionsBoxTemplate")
content2.confirmedmenu:SetPoint("CENTER", content2, "CENTER", 200, 0)
content2.confirmedmenu:SetWidth( 150 )
content2.confirmedmenu:SetHeight( 270 )

content2.ScrollFrameconfirmedmenu = CreateFrame("ScrollFrame", nil, content2.confirmedmenu, "UIPanelScrollFrameTemplate");
content2.ScrollFrameconfirmedmenu:SetPoint("TOPLEFT", content2.confirmedmenu, "TOPLEFT", 4, -8);
content2.ScrollFrameconfirmedmenu:SetPoint("BOTTOMRIGHT", content2.confirmedmenu, "BOTTOMRIGHT", -3, 4);
content2.ScrollFrameconfirmedmenu:SetClipsChildren(true);

content2.ScrollFrameconfirmedmenu.ScrollBar:ClearAllPoints();
content2.ScrollFrameconfirmedmenu.ScrollBar:SetPoint("TOPLEFT", content2.ScrollFrameconfirmedmenu, "TOPRIGHT", -12, -35);
content2.ScrollFrameconfirmedmenu.ScrollBar:SetPoint("BOTTOMRIGHT", content2.ScrollFrameconfirmedmenu, "BOTTOMRIGHT", -7, 18);

local count = 0
childsize = 0

for  i = 1, 80, 1 do 
	count = count + 1
end

local child2 = CreateFrame("Frame", nil, content2.ScrollFrame);
child2:SetSize(150, math.floor(110+count*15))

content2.ScrollFrameconfirmedmenu:SetScrollChild(child2)

content2.confirmedPlayer = content2:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content2.confirmedPlayer:SetPoint("TOP", child2, "TOP", 0, -3);
content2.confirmedPlayer:SetTextColor(1, 0.96, 0.41)
content2.confirmedPlayer:SetText(ARP_APPROVED_PLAYER)

local count = 0
local a = -20
local length = 0

for  i = 1, 80, 1 do 
	content2["Registered"..i] = CreateFrame("Button", "Registered"..i, content2.ScrollFrame, "UIPanelButtonTemplate");
	content2["Registered"..i]:SetPoint("TOP", content2.RegisteredPlayer, "TOP", -10, math.floor(a*i));
	content2["Registered"..i]:SetText("Test")
	content2["Registered"..i]:SetSize(100, 15);
	content2["Registered"..i]:SetScript("OnClick", ARP_toConfirmed);
	content2["Registered"..i]:Hide()
end

local count = 0
local a = -20
local length = 0

for  i = 1, 80, 1 do 
	content2["Confirmed"..i] = CreateFrame("Button", "Confirmed"..i, content2.ScrollFrameconfirmedmenu, "UIPanelButtonTemplate");
	content2["Confirmed"..i]:SetPoint("TOP", content2.confirmedPlayer, "TOP", -10, math.floor(a*i));
	content2["Confirmed"..i]:SetText("Test")
	content2["Confirmed"..i]:SetSize(100, 15);
	content2["Confirmed"..i]:SetScript("OnClick", ARP_toUnconfirmed);
	content2["Confirmed"..i]:Hide()
end

local i = 1
local length = 0
	
local a = -25
local b = -20

englishFaction, localizedFaction = UnitFactionGroup("player")

for key, value in pairs(AchchazusRaidplanerDBclass) do 

for i = 1, 17, 1 do
	content1[key..i] = content1:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
	content1[key..i]:SetPoint("CENTER", content1[key], "CENTER", 0, math.floor(a+(b*i)));
	content1[key..i]:SetTextColor(0.67, 0.83, 0.45)
	content1[key..i]:SetText("")
end
end

content1.RegistrationButton = CreateFrame("Button", nil, content1, "GameMenuButtonTemplate");
content1.RegistrationButton:SetPoint("CENTER", content1, "BOTTOM", -0, 30);
content1.RegistrationButton:SetSize(100, 30);
content1.RegistrationButton:SetNormalFontObject("GameFontNormalLarge");
content1.RegistrationButton:SetHighlightFontObject("GameFontHighlightLarge");

if outdatet == true then
content1.RegistrationButton:Disable()
end


content1.AwayCheckBox = CreateFrame("CheckButton", "Test", content1, "UICheckButtonTemplate");
content1.AwayCheckBox:SetPoint("CENTER", content1.RegistrationButton, "CENTER", 75, 0);
content1.AwayCheckBox:SetSize(30, 30);
content1.AwayCheckBox:SetNormalFontObject("GameFontNormalLarge");
content1.AwayCheckBox:SetHighlightFontObject("GameFontHighlightLarge");

content1.AwayCheckBoxText = content1:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content1.AwayCheckBoxText:SetPoint("CENTER", content1.AwayCheckBox, "CENTER", 45, 0);
content1.AwayCheckBoxText:SetText(ARP_AWAY)

if AchchazusRaidplanerDBlocal.Registered == true then
content1.RegistrationButton:SetText(UnregistrationButtonText);
end
if AchchazusRaidplanerDBlocal.Registered == false or AchchazusRaidplanerDBlocal.Firstload == true then
AchchazusRaidplanerDBlocal.Firstload = false
content1.RegistrationButton:SetText(RegistrationButtonText)
end

content3.Optionen = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.Optionen:SetPoint("CENTER", content3, "CENTER", 0, 150);
content3.Optionen:SetTextColor(1, 1, 0)
content3.Optionen:SetText(ARP_OPTION)

content3.RaidID = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.RaidID:SetPoint("LEFT", content3, "LEFT", 50, 100);
content3.RaidID:SetTextColor(1, 1, 0)
content3.RaidID:SetText(ARP_RAIDID)

content3.RaidDate = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.RaidDate:SetPoint("LEFT", content3.RaidID, "LEFT", 0, -25);
content3.RaidDate:SetTextColor(1, 1, 0)
content3.RaidDate:SetText(ARP_RAIDDATE)

content3.RaidName = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.RaidName:SetPoint("LEFT", content3.RaidDate, "LEFT", 0, -25);
content3.RaidName:SetTextColor(1, 1, 0)
content3.RaidName:SetText(ARP_RAIDNAME)

content3.EditRaidID = CreateFrame("EditBox", nil, content3, "InputBoxTemplate")
content3.EditRaidID:SetPoint("CENTER", content3.RaidID, "CENTER", 120, 0);
content3.EditRaidID:SetWidth(100)
content3.EditRaidID:SetHeight(50)
content3.EditRaidID:SetAutoFocus(false)
content3.EditRaidID:SetText("1")
content3.EditRaidID:SetMaxLetters(2)
content3.EditRaidID:Show()

content3.EditRaidDate = CreateFrame("EditBox", nil, content3, "InputBoxTemplate")
content3.EditRaidDate:SetPoint("CENTER", content3.EditRaidID, "CENTER", 0, -25);
content3.EditRaidDate:SetWidth(100)
content3.EditRaidDate:SetHeight(50)
content3.EditRaidDate:SetAutoFocus(false)
content3.EditRaidDate:Insert(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2])
content3.EditRaidDate:SetMaxLetters(16)
content3.EditRaidDate:Show()

content3.EditRaidName = CreateFrame("EditBox", nil, content3, "InputBoxTemplate")
content3.EditRaidName:SetPoint("CENTER", content3.EditRaidDate, "CENTER", 0, -25);
content3.EditRaidName:SetWidth(100)
content3.EditRaidName:SetHeight(50)
content3.EditRaidName:SetAutoFocus(false)
content3.EditRaidName:Insert(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][1])
content3.EditRaidName:SetMaxLetters(10)
content3.EditRaidName:Show()

content3.PlayerName = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.PlayerName:SetPoint("LEFT", content3.RaidName, "LEFT", 0, -75);
content3.PlayerName:SetTextColor(1, 1, 0)
content3.PlayerName:SetText(ARP_PLAYERNAME)

content3.EditPlayerName = CreateFrame("EditBox", nil, content3, "InputBoxTemplate")
content3.EditPlayerName:SetPoint("CENTER", content3.EditRaidName, "CENTER", 0, -75);
content3.EditPlayerName:SetWidth(100)
content3.EditPlayerName:SetHeight(50)
content3.EditPlayerName:SetAutoFocus(false)
content3.EditPlayerName:SetMaxLetters(25)
content3.EditPlayerName:Show()

content3.PlayerClass = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.PlayerClass:SetPoint("LEFT", content3.PlayerName, "LEFT", 0, -25);
content3.PlayerClass:SetTextColor(1, 1, 0)
content3.PlayerClass:SetText(ARP_PLAYERCLASS)

local f = CreateFrame("frame", "GLOBAL_NAME", content3, "UIDropDownMenuTemplate")
f:SetPoint("CENTER", content3.EditPlayerName, "CENTER", -55, -25);

f.onClick = function(self, arg1, arg2, checked)
	AchchazusRaidplanerDBlocal.SelectedClass = arg1
	UIDropDownMenu_SetText(f, arg2)
	CloseDropDownMenus()
end

f.initialize = function(self, level)

	count = 0

	for key, value in pairs(AchchazusRaidplanerDBclass) do 
		if key ~= "cA" then
			local info = UIDropDownMenu_CreateInfo()
		
			info.text = AchchazusRaidplanerDBclass[key]["realname"]
			info.value = count
			info.func = self.onClick
			info.arg1 = AchchazusRaidplanerDBclass[key]["name"]
			info.arg2 = AchchazusRaidplanerDBclass[key]["realname"]
			UIDropDownMenu_AddButton(info, level)
		
			count = count + 1
		end
	end
	
end

content3.UpdatePlayer = CreateFrame("Button", nil, content3, "GameMenuButtonTemplate");
content3.UpdatePlayer:SetPoint("CENTER", content3.PlayerClass, "CENTER", 50, -50);
content3.UpdatePlayer:SetSize(180, 30);
content3.UpdatePlayer:SetText(ARP_ADDPLAYER);
content3.UpdatePlayer:SetNormalFontObject("GameFontNormalLarge");
content3.UpdatePlayer:SetHighlightFontObject("GameFontHighlightLarge");
content3.UpdatePlayer:SetScript("OnClick", function()

PlaySound(855)

guildName, guildRankName, guildRankIndex = GetGuildInfo("player");

if tonumber(guildRankIndex) > 1 then
print(ARP_NO_RAIDLEADER)
return end

local RaidID = tonumber(content3.EditRaidID:GetText())

if content3.EditPlayerName:GetNumLetters() < 1 then
	print(ARP_NONAME)
	return
end

if UIDropDownMenu_GetText(f) == nil then
	print(ARP_NOCLASS)
	return
end

local count = 0
for value in pairs(AchchazusRaidplanerDB[RaidID]) do 
	if AchchazusRaidplanerDB[RaidID][math.floor(count+1)] ~= nil then
		count = count + 1
	end
AchchazusRaidplanerDBlocal.counterRegistration = count
end	

AchchazusRaidplanerDBlocal.RegistrationClass = string.upper(AchchazusRaidplanerDBlocal.SelectedClass)
AchchazusRaidplanerDBlocal.Anmeldung = tostring(content3.EditPlayerName:GetText())

for key, value in pairs(AchchazusRaidplanerDBclass) do 

if AchchazusRaidplanerDBlocal.RegistrationClass == string.upper(AchchazusRaidplanerDBclass[key]["name"]) then

for i = AchchazusRaidplanerDBlocal.counterRegistration, 1, -1 do
	if AchchazusRaidplanerDB[RaidID][i] == AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key or AchchazusRaidplanerDB[RaidID][i] == AchchazusRaidplanerDBlocal.Anmeldung .. ".t." .. key then 
		print(AchchazusRaidplanerDBlocal.Anmeldung..ARP_TORAIDID..RaidID..ARP_REMOVED)
		AchchazusRaidplanerDB[RaidID][i] = AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key
		AchchazusRaidplanerDB[RaidID][i] = nil
		if AchchazusRaidplanerDB[RaidID][math.floor(i+1)] ~= nil then
			for m = i, AchchazusRaidplanerDBlocal.counterRegistration, 1 do
				AchchazusRaidplanerDB[RaidID][m] = AchchazusRaidplanerDB[RaidID][math.floor(m+1)]
				AchchazusRaidplanerDB[RaidID][math.floor(m+1)] = nil
			end
		end
		for n = 1, 79, 1 do
		if content2["Registered"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Registered"..n]:SetText("Test")
		end
		if content2["Confirmed"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Confirmed"..n]:SetText("Test")
		end
		end
		ARP_SendMessage()
		UpdateUI()
		return 
	end
end

for i = 1, math.floor(AchchazusRaidplanerDBlocal.counterRegistration+1), 1 do
	if AchchazusRaidplanerDB[RaidID][i] == 0 or AchchazusRaidplanerDB[RaidID][i] == nil then 
		print(AchchazusRaidplanerDBlocal.Anmeldung..ARP_TORAIDID..RaidID..ARP_ADDED)
		AchchazusRaidplanerDB[RaidID][i] = AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key
		ARP_SendMessage()
		UpdateUI()
		return
	end
end
end
end


end)


content3.UpdateRaid = CreateFrame("Button", nil, content3, "GameMenuButtonTemplate");
content3.UpdateRaid:SetPoint("CENTER", content3, "CENTER", -0, 75);
content3.UpdateRaid:SetSize(120, 30);
content3.UpdateRaid:SetText(ARP_UPDATE_RAID);
content3.UpdateRaid:SetNormalFontObject("GameFontNormalLarge");
content3.UpdateRaid:SetHighlightFontObject("GameFontHighlightLarge");
content3.UpdateRaid:SetScript("OnClick", function()

PlaySound(855)

guildName, guildRankName, guildRankIndex = GetGuildInfo("player");


if tonumber(guildRankIndex) > 1 then
print(ARP_NO_RAIDLEADER)
return end

count = tonumber(ARP_RaidEntrys())

for entrys in pairs(AchchazusRaidplanerDB) do
	for key, value in pairs(AchchazusRaidplanerDB[entrys]) do
		if math.floor(count+1) == tonumber(content3.EditRaidID:GetText()) then
			AchchazusRaidplanerDB[math.floor(count+1)] = {}
			AchchazusRaidplanerDB[math.floor(count+1)][1] = content3.EditRaidName:GetText()
			AchchazusRaidplanerDB[math.floor(count+1)][2] = content3.EditRaidDate:GetText()
			ARP_SendMessage()
			UpdateUI()
			return
		end
		if entrys == tonumber(content3.EditRaidID:GetText()) then
			if key == 1 then
			AchchazusRaidplanerDB[entrys][key] = content3.EditRaidName:GetText()
			end
			if key == 2 then
			AchchazusRaidplanerDB[entrys][key] = content3.EditRaidDate:GetText()
			ARP_SendMessage()
			UpdateUI()
			return
			end
		end
	end
end
end)

content3.DeleteRaid = CreateFrame("Button", nil, content3, "GameMenuButtonTemplate");
content3.DeleteRaid:SetPoint("CENTER", content3.UpdateRaid, "CENTER", 0, -75);
content3.DeleteRaid:SetSize(120, 30);
content3.DeleteRaid:SetText(ARP_DELETE_RAID);
content3.DeleteRaid:SetNormalFontObject("GameFontNormalLarge");
content3.DeleteRaid:SetHighlightFontObject("GameFontHighlightLarge");
content3.DeleteRaid:SetScript("OnClick", function()

PlaySound(855)

guildName, guildRankName, guildRankIndex = GetGuildInfo("player");

if tonumber(guildRankIndex) > 1 then
print(ARP_NO_RAIDLEADER)
return end

StaticPopup_Show ("CONFORM_DELETE")

end)


function DeleteRaid()

count = tonumber(ARP_RaidEntrys())

for entrys in pairs(AchchazusRaidplanerDB) do
	if entrys == tonumber(content3.EditRaidID:GetText()) then
		if count == 1 then
		return
		end
		if next (AchchazusRaidplanerDB[tonumber(content3.EditRaidID:GetText())]) ~= nil then
			table.remove(AchchazusRaidplanerDB, tonumber(content3.EditRaidID:GetText()))
		end
	end
end

for i = 1, count, 1 do
	if content3["RegisteredRaids"..i]:GetText() ~= "Test" then
		content3["RegisteredRaids"..i]:SetText("Test")
		content3["RegisteredRaids"..i]:Hide()
	end
end

ARP_SendMessage()
UpdateUI()

end

content3.RegisteredRaids = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.RegisteredRaids:SetPoint("CENTER", content3, "CENTER", 200, 125);
content3.RegisteredRaids:SetTextColor(1, 1, 0)
content3.RegisteredRaids:SetText("")

content3.RegisteredRaidsMenu = CreateFrame('Frame', "RegisteredRaidsMenu", content3, "OptionsBoxTemplate")
content3.RegisteredRaidsMenu:SetPoint("CENTER", content3.RegisteredRaids, "CENTER", 0, -150)
content3.RegisteredRaidsMenu:SetWidth( 150 )
content3.RegisteredRaidsMenu:SetHeight( 270 )

content3.RegisteredRaidsScrollFrame = CreateFrame("ScrollFrame", nil, content3.RegisteredRaidsMenu, "UIPanelScrollFrameTemplate");
content3.RegisteredRaidsScrollFrame:SetPoint("TOPLEFT", content3.RegisteredRaidsMenu, "TOPLEFT", 4, -8);
content3.RegisteredRaidsScrollFrame:SetPoint("BOTTOMRIGHT", content3.RegisteredRaidsMenu, "BOTTOMRIGHT", -3, 4);
content3.RegisteredRaidsScrollFrame:SetClipsChildren(true);

content3.RegisteredRaidsScrollFrame.ScrollBar:ClearAllPoints();
content3.RegisteredRaidsScrollFrame.ScrollBar:SetPoint("TOPLEFT", content3.RegisteredRaidsScrollFrame, "TOPRIGHT", -12, -35);
content3.RegisteredRaidsScrollFrame.ScrollBar:SetPoint("BOTTOMRIGHT", content3.RegisteredRaidsScrollFrame, "BOTTOMRIGHT", -7, 18);

local count = 0
childsize = 0

for  i = 1, 15, 1 do 
	count = count + 1
end

local child = CreateFrame("Frame", nil, content3.RegisteredRaidsScrollFrame);
child:SetSize(150, math.floor(110+count*15))

content3.RegisteredRaidsScrollFrame:SetScrollChild(child)

content3.RegisteredRaidsText = content3:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content3.RegisteredRaidsText:SetPoint("TOP", child, "TOP", 0, -3);
content3.RegisteredRaidsText:SetTextColor(1, 0.96, 0.41)
content3.RegisteredRaidsText:SetText(ARP_REGISTERED_RAID)

local count = 0
local a = -20
local length = 0

for  i = 1, 15, 1 do 
content3["RegisteredRaids"..i] = CreateFrame("Button", "RegisteredRaids"..i, content3.RegisteredRaidsScrollFrame, "UIPanelButtonTemplate");
content3["RegisteredRaids"..i]:SetPoint("TOP", content3.RegisteredRaidsText, "TOP", -10, math.floor(a*i));
content3["RegisteredRaids"..i]:SetText("Test")
content3["RegisteredRaids"..i]:SetSize(100, 15);
content3["RegisteredRaids"..i]:Hide()
content3["RegisteredRaids"..i]:SetScript("OnClick", function()
	content3.EditRaidID:SetText(i)
	content3.EditRaidDate:SetText(AchchazusRaidplanerDB[i][2])
	content3.EditRaidName:SetText(AchchazusRaidplanerDB[i][1])
	ARP_SendMessage()
	UpdateUI()	
	end	)	
end

for  i = 1, 15, 1 do 

	if AchchazusRaidplanerDB[i] == table then
		content3["RegisteredRaids"..i]:SetText("ID"..i .. ": " .. AchchazusRaidplanerDB[i][1])
		content3["RegisteredRaids"..i]:Show()
	end
	
end

content1.BackButton = CreateFrame("Button", nil, content1, "GameMenuButtonTemplate");
content1.BackButton:SetPoint("TOPRIGHT", content1, "TOPRIGHT", -25, -25);
content1.BackButton:SetSize(100, 30);
content1.BackButton:SetNormalFontObject("GameFontNormalLarge");
content1.BackButton:SetHighlightFontObject("GameFontHighlightLarge");
content1.BackButton:SetText(ARP_BACK)
content1.BackButton:SetScript("OnClick", function()		

	PlaySound(855)
	
	AchchazusRaidplanerDBlocal.InCalender = true
	
	UpdateUI()

end )

content1.MonthBack = CreateFrame("Button", nil, content1, "UIPanelButtonTemplate");
content1.MonthBack:SetPoint("TOPLEFT", content1, "TOPLEFT", 50, -50);
content1.MonthBack:SetText("<")
content1.MonthBack:SetNormalFontObject("GameFontNormalLarge");
content1.MonthBack:SetHighlightFontObject("GameFontHighlightLarge");
content1.MonthBack:SetScript("OnClick", function()

if AchchazusRaidplanerDBlocal.ShowMonth ~= 0 then
AchchazusRaidplanerDBlocal.ShowMonth = AchchazusRaidplanerDBlocal.ShowMonth - 1
	if AchchazusRaidplanerDBlocal.ShowMonth == 0 then
		AchchazusRaidplanerDBlocal.ShowMonth = 12
		AchchazusRaidplanerDBlocal.Year = AchchazusRaidplanerDBlocal.Year - 1
	end
end


UpdateUI()

end )

content1.MonthForrward = CreateFrame("Button", nil, content1, "UIPanelButtonTemplate");
content1.MonthForrward:SetPoint("TOPRIGHT", content1, "TOPRIGHT", -50, -50);
content1.MonthForrward:SetText(">")
content1.MonthForrward:SetNormalFontObject("GameFontNormalLarge");
content1.MonthForrward:SetHighlightFontObject("GameFontHighlightLarge");
content1.MonthForrward:SetScript("OnClick", function()

if AchchazusRaidplanerDBlocal.ShowMonth ~= 13 then
AchchazusRaidplanerDBlocal.ShowMonth = AchchazusRaidplanerDBlocal.ShowMonth + 1
	if AchchazusRaidplanerDBlocal.ShowMonth == 13 then
		AchchazusRaidplanerDBlocal.ShowMonth = 1
		AchchazusRaidplanerDBlocal.Year = AchchazusRaidplanerDBlocal.Year + 1
	end
end

UpdateUI()

end )

content1.MonthText = content1:CreateFontString(nil, "OVERLAY", "GameFontNormalLarge");
content1.MonthText:SetPoint("TOP", content1, 0, -50);
content1.MonthText:SetText("")

PosX = 150
PosY = -75

for n = 1, 40, 1 do

if n == 8 then PosX = 150 PosY = -140 end
if n == 15 then PosX = 150 PosY = -205 end
if n == 22 then PosX = 150 PosY = -270 end
if n == 29 then PosX = 150 PosY = -335 end
if n == 36 then PosX = 150 PosY = -400 end

content1["DayFrame"..n] = CreateFrame("FRAME",nil, content1, "OptionsBoxTemplate")
content1["DayFrame"..n]:SetSize(65, 65);
content1["DayFrame"..n]:SetPoint("TOPLEFT", content1, "TOPLEFT", PosX, PosY)
content1["DayFrame"..n]:Hide()
content1["DayFrame"..n]:EnableMouse(true)
content1["DayFrame"..n]:SetScript("OnMouseDown", function(self,...)

	if content1["DayEventText"..n]:GetText() ~= nil then
	
	dd = tonumber(content1["DayNummer"..n]:GetText())
	
	if string.len(dd) == 1 then
		dd = "0"..dd
	end
	
	mm = tonumber(AchchazusRaidplanerDBlocal.ShowMonth)
	
	if string.len(mm) == 1 then
		mm = "0"..mm
	end
	
	yy = tonumber(string.sub(AchchazusRaidplanerDBlocal.Year, 3))
	
	count = tonumber(ARP_RaidEntrys())
	
	for i = 1, count, 1 do
	
		for key, value in pairs(AchchazusRaidplanerDB[i]) do
		
			if string.match(AchchazusRaidplanerDB[i][2], dd.."."..mm.."."..yy) then
		
				AchchazusRaidplanerDBlocal.Page = i
				AchchazusRaidplanerDBlocal.InCalender = false
	
				UpdateUI()
				
				break
				
			else
			
				break
		
			end
		end
	end
	
	end
	
end )

content1["TodayDayFrame"..n] = CreateFrame("FRAME",nil, content1, "ThinBorderTemplate")
content1["TodayDayFrame"..n]:SetSize(66, 66);
content1["TodayDayFrame"..n]:SetPoint("TOPLEFT", content1, "TOPLEFT", PosX, PosY)
content1["TodayDayFrame"..n]:Hide()


content1["DayText"..n] = content1:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content1["DayText"..n]:SetPoint("TOPLEFT", content1["DayFrame"..n], 6, -6);
content1["DayText"..n]:SetTextColor(1, 0.96 , 0.41)
content1["DayText"..n]:SetText("")

content1["DayEventText"..n] = content1:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content1["DayEventText"..n]:SetPoint("CENTER", content1["DayFrame"..n], "CENTER", 0, 0);
content1["DayEventText"..n]:SetText("")

content1["DayNummer"..n] = content1:CreateFontString(nil, "OVERLAY", "GameFontHighlight");
content1["DayNummer"..n]:SetPoint("BOTTOMRIGHT", content1["DayFrame"..n], -6, 6);
content1["DayNummer"..n]:SetTextColor(1, 0.96 , 0.41)
content1["DayNummer"..n]:SetText("")

PosX = PosX + 65
end
	
function UpdateUI()

ClearAllContent1()

if AchchazusRaidplanerDBlocal.InCalender == true then     -- Content 1 - Calender

content1.MonthForrward:Show()
content1.MonthBack:Show()

if tonumber(AchchazusRaidplanerDBlocal.Year) == tonumber(date("%Y")) then
	if tonumber(AchchazusRaidplanerDBlocal.ShowMonth) == math.floor(date("%m") - 1) then
		content1.MonthBack:Disable()
	else
		content1.MonthBack:Enable()
	end

	if tonumber(AchchazusRaidplanerDBlocal.ShowMonth) == math.floor(date("%m") + 3) then
		content1.MonthForrward:Disable()
	else
		content1.MonthForrward:Enable()
	end
end

if tonumber(AchchazusRaidplanerDBlocal.Year) ~= tonumber(date("%Y")) then
	
local YearChange = 1
	
	if tonumber(date("%m")) == 10 then
		YearChange = 1
	elseif tonumber(date("%m")) == 11 then
		YearChange = 2
	elseif tonumber(date("%m")) == 12 then	
		YearChange = 3
	end
	
	if tonumber(AchchazusRaidplanerDBlocal.ShowMonth) == YearChange then
		content1.MonthForrward:Disable()
	else
		content1.MonthForrward:Enable()
	end
end

content1.MonthText:SetText(ARP_MONTH[tonumber(AchchazusRaidplanerDBlocal.ShowMonth)].." "..AchchazusRaidplanerDBlocal.Year)

NumberOfDays = ARP_GetDaysInMonth(tonumber(AchchazusRaidplanerDBlocal.ShowMonth), tonumber(AchchazusRaidplanerDBlocal.Year))

DayNumber, DayName = ARP_GetDayofWeek(1, tonumber(AchchazusRaidplanerDBlocal.ShowMonth), tonumber(AchchazusRaidplanerDBlocal.Year))

CountDay = 1

if DayNumber == 1 then
DayNumber = 8
end

for n = DayNumber-1, math.floor(NumberOfDays+DayNumber-2), 1 do

count = tonumber(ARP_RaidEntrys())

for i = 1, count, 1 do

dd = string.sub(AchchazusRaidplanerDB[i][2], 1, 2)
mm = string.sub(AchchazusRaidplanerDB[i][2], 4, 5)
yy = string.sub(AchchazusRaidplanerDB[i][2], 7, 8)

if tonumber(dd) == CountDay and tonumber(mm) == tonumber(AchchazusRaidplanerDBlocal.ShowMonth) and tonumber(yy) == tonumber(string.sub(AchchazusRaidplanerDBlocal.Year, 3)) then
	content1["DayEventText"..n]:SetText(AchchazusRaidplanerDB[i][1])
	
	for key, value in pairs(AchchazusRaidplanerDB[i]) do
	length = string.len(AchchazusRaidplanerDB[i][key])
		if string.match(playerName, string.sub(value, 1, math.floor(length-5))) and string.match(AchchazusRaidplanerDB[i][key], "%.f") then
			content1["DayFrame"..n]:SetBackdropBorderColor(1, 0.96 , 0.41);
			break
		elseif  string.match(playerName, string.sub(value, 1, math.floor(length-5))) and string.match(AchchazusRaidplanerDB[i][key], "%.t") then 
			content1["DayFrame"..n]:SetBackdropBorderColor(0, 1, 0);
			break
		else
			content1["DayFrame"..n]:SetBackdropBorderColor(1, 0, 0); 
		end
		
	end
	
end

end

if tonumber(CountDay) == tonumber(date("%d")) and tonumber(AchchazusRaidplanerDBlocal.ShowMonth) == tonumber(date("%m")) and tonumber(string.sub(AchchazusRaidplanerDBlocal.Year, 3)) == tonumber(date("%y")) then
	content1["TodayDayFrame"..n]:Show()
end
	
content1["DayFrame"..n]:Show()

dw, days = ARP_GetDayofWeek(CountDay, AchchazusRaidplanerDBlocal.ShowMonth, string.sub(AchchazusRaidplanerDBlocal.Year, 3))

content1["DayText"..n]:SetText(days)
content1["DayNummer"..n]:SetText(CountDay)

CountDay = CountDay + 1

end

end

if AchchazusRaidplanerDBlocal.InCalender == false then	  -- Content 1 - NO Calender

content1.AwayCheckBox:Show()
content1.AwayCheckBoxText:SetText(ARP_AWAY)
content1.RegistrationButton:Show()
content1.BackButton:Show()

for key, value in pairs(AchchazusRaidplanerDBclass) do 
	content1[key]:SetText(AchchazusRaidplanerDBclass[key]["realname"])
end

local CounterRegistration = 0

if outdatet == true then
content1.RegistrationButton:Disable()
end

for value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(count+1)] ~= nil then
		CounterRegistration = CounterRegistration + 1
	end
end	

AchchazusRaidplanerDBlocal.counterRegistration = CounterRegistration

for key, value in pairs(AchchazusRaidplanerDBclass) do

if AchchazusRaidplanerDBlocal.RegistrationClass == string.upper(AchchazusRaidplanerDBclass[key]["name"]) then	

for i = AchchazusRaidplanerDBlocal.counterRegistration, 1, -1 do
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] == AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key or AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] == AchchazusRaidplanerDBlocal.Anmeldung .. ".t." .. key then 
		RegisteredRaids[1][AchchazusRaidplanerDBlocal.Page] = true
		content1.RegistrationButton:SetText(UnregistrationButtonText);
		break 
	end
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] ~= AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key or AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] ~= AchchazusRaidplanerDBlocal.Anmeldung .. ".t." .. key then 
		RegisteredRaids[1][AchchazusRaidplanerDBlocal.Page] = false
		content1.RegistrationButton:SetText(RegistrationButtonText); 
	end
end
end
end

for key, value in pairs(AchchazusRaidplanerDBclass) do 
	if key == "cS" then
	content1[key]:SetTextColor(AchchazusRaidplanerDBclass[key]["r"], AchchazusRaidplanerDBclass[key]["g"], AchchazusRaidplanerDBclass[key]["b"])
	end
end

count = tonumber(ARP_RaidEntrys())

if AchchazusRaidplanerDBlocal.Page == 1 then
	content[1]["RaidIDCounterBack"]:Disable()
else
	content[1]["RaidIDCounterBack"]:Enable()
end

if AchchazusRaidplanerDBlocal.Page == count then
	content[1]["RaidIDCounterForward"]:Disable()
else
	content[1]["RaidIDCounterForward"]:Enable()
end

dd = string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2], 1, 2)
mm = string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2], 4, 5)
yy = string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2], 7, 8)

NummerOfDay, NameOfDay = ARP_GetDayofWeek(dd, mm, yy) 

content1.RaidID:SetText(ARP_RAIDID..AchchazusRaidplanerDBlocal.Page)
content1.RaidDate:SetText(ARP_RAIDDATE..NameOfDay.." "..AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2])
content1.RaidName:SetText(ARP_RAIDNAME.. AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][1])

count = tonumber(ARP_RaidEntrys())

content1.RaidIDCounter:SetText(ARP_RAID..AchchazusRaidplanerDBlocal.Page..ARP_FROM..count)

AchchazusRaidplanerDBlocal.count = 0
local count = 0
for value, key in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.t") or string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.f") and not string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.cA") then
	count = count + 1
	end
end

AchchazusRaidplanerDBlocal.count = count

content1.Registered:SetText(ARP_REGISTERED_PLAYER..AchchazusRaidplanerDBlocal.count )

local count = 0
AchchazusRaidplanerDBlocal.conformt = 0

for value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.t") then
		count = count + 1
	end
AchchazusRaidplanerDBlocal.confirmed = count	
end

content1.Approved:SetText(ARP_APPROVED_PLAYER..AchchazusRaidplanerDBlocal.confirmed)

CounterRegistration = 0

for value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(count+1)] ~= nil then
		CounterRegistration = CounterRegistration + 1
	end
end	

AchchazusRaidplanerDBlocal.counterRegistration = CounterRegistration


for key, value in pairs(AchchazusRaidplanerDBclass) do 
local count = 1
	for i = 1, AchchazusRaidplanerDBlocal.counterRegistration, 1 do
		if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] ~= nil then
			if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], key) and string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], "%.t" ) then
				length = string.len(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i])
				content1[key..count]:SetText((string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], 1, math.floor(length-5)))) 
				content1[key..count]:SetTextColor(AchchazusRaidplanerDBlocal.ApprovedColorR, AchchazusRaidplanerDBlocal.ApprovedColorG, AchchazusRaidplanerDBlocal.ApprovedColorB, AchchazusRaidplanerDBlocal.ApprovedColorA)
				count = count + 1
			elseif string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], key) and string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], "%.f" )then
				length = string.len(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i])
				content1[key..count]:SetText((string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], 1, math.floor(length-5))))
				content1[key..count]:SetTextColor(AchchazusRaidplanerDBclass[key]["r"], AchchazusRaidplanerDBclass[key]["g"], AchchazusRaidplanerDBclass[key]["b"])
				count = count + 1
			end
		end
	end
end


if RegisteredRaids[1][AchchazusRaidplanerDBlocal.Page] == true then
	content1.RegistrationButton:SetText(UnregistrationButtonText);
end
if RegisteredRaids[1][AchchazusRaidplanerDBlocal.Page] == false then
	content1.RegistrationButton:SetText(RegistrationButtonText)
end

end

do														  -- Content 2 and 3

for n = 1, 2 , 1 do
if AchchazusRaidplanerDBlocal.Page == 1 then
	content[n]["RaidIDCounterBack"]:Disable()
else
	content[n]["RaidIDCounterBack"]:Enable()
end
if AchchazusRaidplanerDBlocal.Page == count then
	content[n]["RaidIDCounterForward"]:Disable()
else
	content[n]["RaidIDCounterForward"]:Enable()
end
end

for n = 1, 80, 1 do
	if content2["Registered"..n]:GetText() ~= "Test" then
		content2["Registered"..n]:SetText("Test")
	end
	if content2["Confirmed"..n]:GetText() ~= "Test" then
		content2["Confirmed"..n]:SetText("Test")
	end
end

for  i = 1, 15, 1 do 
	if AchchazusRaidplanerDB[i] ~= nil and AchchazusRaidplanerDB[i] ~= "Test" then 
		content3["RegisteredRaids"..i]:SetText("ID"..i .. ": " .. AchchazusRaidplanerDB[i][1])
		content3["RegisteredRaids"..i]:Show()
	end
	if AchchazusRaidplanerDB[i] == "Test" then
		content3["RegisteredRaids"..i]:Hide()
	end
end

dd = string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2], 1, 2)
mm = string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2], 4, 5)
yy = string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2], 7, 8)

NummerOfDay, NameOfDay = ARP_GetDayofWeek(dd, mm, yy) 

content2.RaidID:SetText(ARP_RAIDID..AchchazusRaidplanerDBlocal.Page)
content2.RaidDate:SetText(ARP_RAIDDATE..NameOfDay.." "..AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][2])
content2.RaidName:SetText(ARP_RAIDNAME.. AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][1])

count = tonumber(ARP_RaidEntrys())

content2.RaidIDCounter:SetText(ARP_RAID..AchchazusRaidplanerDBlocal.Page..ARP_FROM..count)

AchchazusRaidplanerDBlocal.count = 0
local count = 0
for value, key in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.t") or string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.f") and not string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.cA") then
	count = count + 1
	end
end

AchchazusRaidplanerDBlocal.count = count

content2.Registered:SetText(ARP_REGISTERED_PLAYER.. AchchazusRaidplanerDBlocal.count )


local count = 0
AchchazusRaidplanerDBlocal.conformt = 0

for value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.t") then
		count = count + 1
	end
AchchazusRaidplanerDBlocal.confirmed = count	
end

content2.Approved:SetText(ARP_APPROVED_PLAYER..AchchazusRaidplanerDBlocal.confirmed)

CounterRegistration = 0

for value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(count+1)] ~= nil then
		CounterRegistration = CounterRegistration + 1
	end
end	

AchchazusRaidplanerDBlocal.counterRegistration = CounterRegistration


local i = 1

for value, key in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if value ~= "" then
		if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.t") and not string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.cA") and AchchazusRaidplanerDBlocal.FocusClass == "ALL" then
			content2.RegisteredPlayer:SetText(ARP_REGISTERED_PLAYER)
			content2.confirmedPlayer:SetText(ARP_APPROVED_PLAYER)
			if content2["Confirmed"..i]:GetText() == "Test" then 
				length = string.len(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value])
				content2["Confirmed"..i]:SetText(string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], 1, math.floor(length-5)))
				i = i + 1
				end
			for n = 1, 79, 1 do
			if content2["Registered"..n]:GetText() == "Test" then
				if content2["Registered"..math.floor(n+1)]:GetText() ~= "Test" then
					content2["Registered"..n]:SetText(content2["Registered"..math.floor(n+1)]:GetText())
					content2["Registered"..math.floor(n+1)]:SetText("Test")
				end
			end
			end
		end
		if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.t") and not string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.cA") and string.find(AchchazusRaidplanerDBlocal.FocusClass, string.sub(key, -2)) then
			content2.RegisteredPlayer:SetText(ARP_REGISTERED..AchchazusRaidplanerDBclass[AchchazusRaidplanerDBlocal.FocusClass]["realname"]..":")
			content2.confirmedPlayer:SetText(ARP_APPROVED..AchchazusRaidplanerDBclass[AchchazusRaidplanerDBlocal.FocusClass]["realname"]..":")
			if content2["Confirmed"..i]:GetText() == "Test" then 
				length = string.len(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value])
				content2["Confirmed"..i]:SetText(string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], 1, math.floor(length-5)))
				i = i + 1
				end
			for n = 1, 79, 1 do
			if content2["Registered"..n]:GetText() == "Test" then
				if content2["Registered"..math.floor(n+1)]:GetText() ~= "Test" then
					content2["Registered"..n]:SetText(content2["Registered"..math.floor(n+1)]:GetText())
					content2["Registered"..math.floor(n+1)]:SetText("Test")
				end
			end
			end
		end
	end
end

local i = 1

for value, key in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if value ~= "" then
		if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.f") and not string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.cA") and AchchazusRaidplanerDBlocal.FocusClass == "ALL" then
			content2.RegisteredPlayer:SetText(ARP_REGISTERED_PLAYER)
			content2.confirmedPlayer:SetText(ARP_APPROVED_PLAYER)
			if content2["Registered"..i]:GetText() == "Test" then 
				length = string.len(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value])
				content2["Registered"..i]:SetText(string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], 1, math.floor(length-5)))
				i = i + 1
				end
			for n = 1, 79, 1 do
			if content2["Confirmed"..n]:GetText() == "Test" then
				if content2["Confirmed"..math.floor(n+1)]:GetText() ~= "Test" then
					content2["Confirmed"..n]:SetText(content2["Confirmed"..math.floor(n+1)]:GetText())
					content2["Confirmed"..math.floor(n+1)]:SetText("Test")
				end
			end
			end
		end
		if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.f") and not string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], "%.cA") and string.find(AchchazusRaidplanerDBlocal.FocusClass, string.sub(key, -2)) then
			content2.RegisteredPlayer:SetText(ARP_REGISTERED..AchchazusRaidplanerDBclass[AchchazusRaidplanerDBlocal.FocusClass]["realname"]..":")
			content2.confirmedPlayer:SetText(ARP_APPROVED..AchchazusRaidplanerDBclass[AchchazusRaidplanerDBlocal.FocusClass]["realname"]..":")
			if content2["Registered"..i]:GetText() == "Test" then 
				length = string.len(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value])
				content2["Registered"..i]:SetText(string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][value], 1, math.floor(length-5)))
				i = i + 1
				end
			for n = 1, 79, 1 do
			if content2["Confirmed"..n]:GetText() == "Test" then
				if content2["Confirmed"..math.floor(n+1)]:GetText() ~= "Test" then
					content2["Confirmed"..n]:SetText(content2["Confirmed"..math.floor(n+1)]:GetText())
					content2["Confirmed"..math.floor(n+1)]:SetText("Test")
				end
			end
			end
		end
		
		
		
	end
end


for i = 1, 80, 1 do
if content2["Confirmed"..i]:GetText() == "Test" then 
    content2["Confirmed"..i]:Hide()
else
    content2["Confirmed"..i]:Show()
end
end

for i = 1, 80, 1 do
if content2["Registered"..i]:GetText() == "Test" then 
    content2["Registered"..i]:Hide()
else
    content2["Registered"..i]:Show()
end
end

local count = 0
for value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(count+1)] ~= nil then
		count = count + 1
	end
AchchazusRaidplanerDBlocal.counterRegistration = count
end	

count_totalapproved = 0
count_totalregistered = 0

for key, value in pairs(AchchazusRaidplanerDBclass) do 
if key ~= "cA" then
count_approved = 0
count_registered = 0
content2["Approved"..key]:SetText("0")
content2["Registered"..key]:SetText("0")
for i = 1 ,AchchazusRaidplanerDBlocal.counterRegistration ,1 do
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], key ) and string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], "%.t" )then
	count_approved = count_approved + 1
	count_totalapproved = count_totalapproved + 1
	content2["Approved"..key]:SetText(count_approved)
	end
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], key ) and string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], "%.f" )then
	count_registered = count_registered + 1
	count_totalregistered = count_totalregistered + 1
	content2["Registered"..key]:SetText(count_registered)
	end
end
end
end

content2.totalRegistered:SetText(count_totalregistered)
content2.totalApproved:SetText(count_totalapproved)

end

end

content1.AwayCheckBox:SetScript("OnClick", function(self)				--Away CheckBox ButtonScript

PlaySound(855)

AchchazusRaidplanerDBlocal.Anmeldung = AchchazusRaidplanerDBlocal.playerName

for key, value in pairs(AchchazusRaidplanerDBclass) do 

local count = 0
for value in pairs(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page]) do 
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(count+1)] ~= nil then
		count = count + 1
	end

end	

for i = AchchazusRaidplanerDBlocal.counterRegistration, 1, -1 do
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], AchchazusRaidplanerDBlocal.Anmeldung) and string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], -2) == "cA" then
		content1.AwayCheckBox:SetChecked(true)
	end
	if string.match(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], AchchazusRaidplanerDBlocal.Anmeldung) and string.sub(AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i], -2) ~= "cA" then
		content1.AwayCheckBox:SetChecked(false)
	end
	
end
end
end )

content1.RegistrationButton:SetScript("OnClick", function()				--Registrations ButtonScript

PlaySound(855)

AchchazusRaidplanerDBlocal.RegistrationClass = AchchazusRaidplanerDBlocal.englishClass
AchchazusRaidplanerDBlocal.Anmeldung = AchchazusRaidplanerDBlocal.playerName

for key, value in pairs(AchchazusRaidplanerDBclass) do 

isChecked = content1.AwayCheckBox:GetChecked()

if isChecked == true then
AchchazusRaidplanerDBlocal.RegistrationClass = "AWAY"
end

if AchchazusRaidplanerDBlocal.RegistrationClass == string.upper(AchchazusRaidplanerDBclass[key]["name"]) then	

for i = AchchazusRaidplanerDBlocal.counterRegistration, 1, -1 do
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] == AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key or AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] == AchchazusRaidplanerDBlocal.Anmeldung .. ".t." .. key then 
		AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] = AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key
		AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] = nil
		if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(i+1)] ~= nil then
			for m = i, AchchazusRaidplanerDBlocal.counterRegistration, 1 do
				AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][m] = AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(m+1)]
				AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][math.floor(m+1)] = nil
			end
		end
		for n = 1, 79, 1 do
		if content2["Registered"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Registered"..n]:SetText("Test")
		end
		if content2["Confirmed"..n]:GetText() == AchchazusRaidplanerDBlocal.Anmeldung then
			content2["Confirmed"..n]:SetText("Test")
		end
		end
		RegisteredRaids[1][AchchazusRaidplanerDBlocal.Page] = false
		ARP_SendMessage()
		UpdateUI()
		return 
	end
end

for i = 1, math.floor(AchchazusRaidplanerDBlocal.counterRegistration+1), 1 do
	if AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] == 0 or AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] == nil then 
		AchchazusRaidplanerDB[AchchazusRaidplanerDBlocal.Page][i] = AchchazusRaidplanerDBlocal.Anmeldung .. ".f." .. key
		RegisteredRaids[1][AchchazusRaidplanerDBlocal.Page] = true
		ARP_SendMessage()
		UpdateUI()
		return
	end
end
end
end
end )

StaticPopupDialogs["CONFORM_DELETE"] = {
  text = ARP_WARNING_DELETE,
  button1 = ARP_YES,
  button2 = ARP_NO,
  OnAccept = function()
      DeleteRaid()
  end,
  timeout = 0,
  whileDead = true,
  hideOnEscape = true,
  preferredIndex = 3, 
}

function ClearAllContent1()

for key, value in pairs(AchchazusRaidplanerDBclass) do 

for i = 1, 17, 1 do
	content1[key..i]:SetText("")
end

end

for n = 1 , 40 , 1 do
content1["DayFrame"..n]:Hide()
content1["TodayDayFrame"..n]:Hide()
content1.MonthForrward:Hide()
content1.MonthBack:Hide()
content1["DayText"..n]:SetText("")
content1["DayNummer"..n]:SetText("")
content1["DayEventText"..n]:SetText("")
content1.MonthText:SetText("")
content1["DayFrame"..n]:SetBackdropBorderColor(0.4, 0.4, 0.4)
end

content[1]["RaidIDCounter"]:SetText("")
content[1]["RaidIDCounterForward"]:Hide()
content[1]["RaidIDCounterBack"]:Hide()
content[1]["RaidID"]:SetText("")
content[1]["RaidDate"]:SetText("")
content[1]["RaidName"]:SetText("")
content[1]["Registered"]:SetText("")
content[1]["Approved"]:SetText("")

content1.AwayCheckBoxText:SetText("")

content1.AwayCheckBox:Hide()
content1.RegistrationButton:Hide()
content1.BackButton:Hide()

for key, value in pairs(AchchazusRaidplanerDBclass) do 
	content1[key]:SetText("")
end


end

UpdateUI()

end


EventListener:RegisterEvents(RelevantEvents)
EventListener:SetScript("OnEvent", EventHandler)